[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Unix' (#rtl)

# fpfsync

Flush cached data to disk

## Declaration

Source position: unxsysch.inc line 20

`function fpfsync(`
`fd: cint`
`):cint;`

## Description

fpfsync forces the system to write all paged (in-memory) changes to file descriptor fd to disk. If the call was succesful, 0 is returned.

## Errors

On error, a nonzero error-code is returned.

Documentation generated on: Feb 26 2014